import { FieldMapping, MappingResult } from "../suggest";
export declare const log: (part: string) => (...args: any[]) => void;
export declare const getABracketColor: () => string;
export declare const uuid: (len?: number) => string;
/**
 * 解析fetch返回的数据
 * @param res   fetch返回的数据
 * @param type  解析的类型
 * @returns
 */
export declare const parseFetchRes2FieldMapping: <T extends MappingResult>(res: T, type: keyof T) => FieldMapping[];
